> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Products

> Retrieves a list of products according to any specified filter criteria and sort options. This current version of the Products API includes localizedContent to support <a href="/pages/catalog-structure#multi-locale-catalogs">multi-locale catalogs</a>, which was not present in the previous API model. If you were a client prior to May 2024 and have upgraded your implementation to support this feature, you can still access product data that has not yet been rewritten to the new model by providing an x-api-version header set to "1". 



## OpenAPI

````yaml /openapi/openapi_catalog_admin.json get /commerce/catalog/admin/products
openapi: 3.0.1
info:
  description: |-
    <div id="overview_CATALOG_ADMIN">
                <h2>CATALOG ADMINISTRATION</h2>
                <p>The Catalog Administration APIs are a collection of resources for configuring the catalogs and products offered to your shoppers, including
                    discounts and coupon sets, faceting, price lists, and different types or variations of products. See the
                    <a href="/concept-guides/catalog">Catalog user guides</a>
                    for information about the related features in the Unified Commerce Admin.</p>
                <p>Use the <strong>Attributes</strong> resource to manage localization and attribute configurations for your catalogs. This current version of the Attributes API includes localizedContent to
                    support <a href="/pages/catalog-structure#multi-locale-catalogs">multi-locale catalogs</a>, which was not present in the legacy API model. If
                    you were a client prior to May 2024 and have upgraded your implementation to support this feature,
                    you can still access attribute data that has not yet been rewritten to the new model by providing
                    an x-api-version header set to "1". </p>
                <p>Use the <strong>Categories</strong> resource to organize products and control where they appear on the storefront. Create
                    and maintain a hierarchy of categories and subcategories where the site will store properties. This current version of the Categories API includes localizedContent to
                    support <a href="/pages/catalog-structure#multi-locale-catalogs">multi-locale catalogs</a>, which was not present in the legacy API model. If
                    you were a client prior to May 2024 and have upgraded your implementation to support this feature,
                    you can still access category data that has not yet been rewritten to the new model by providing
                    an x-api-version header set to "1". </p>
                <p>Use the <strong>Coupon Sets</strong> resource to view and create coupon sets. You can use coupon sets to group multiple
                    coupon codes together and associate them with one or more discounts.</p>
                <p>Use the <strong>Currency</strong> resource to manage the currency localization rules and exchange rates for any of the
                    currencies that are supported for placing orders in.</p>
                <p>Use the <strong>Discounts</strong> and <strong>Discount Settings</strong> resources to define and manage discounts to apply to products, product categories, or
                    orders. This current version of the Discounts API includes localizedContent to
                    support <a href="/pages/catalog-structure#multi-locale-catalogs">multi-locale catalogs</a>, which was not present in the legacy Products API model. If
                    you were a client prior to May 2024 and have upgraded your implementation to support this feature,
                    you can still access discount data that has not yet been rewritten to the new model by providing
                    an x-api-version header set to "1". </p>
                <p>Use the <strong>Facets</strong> resource to manage the facets shoppers use to filter product display results on a
                    storefront. Facets can include categories, product attributes, or prices, and use either a range of
                    values or discrete values.</p>
                <p>Use the <strong>Master Catalog</strong> resource to view details of the master catalogs associated with a tenant and to
                    manage the product publishing mode for each master catalog.</p>
                <p>Use the <strong>Price Lists</strong> resources to view and create price lists. You can use price lists to override the
                    catalog pricing of products for specific customer segments and/or sites.</p>
                <p>Use the <strong>Products</strong>, <strong>Product Types/Extras/Options/Properties</strong>, and <strong>Product Sort Definitions</strong> resources to create new product definitions in the master catalog and determine which
                    catalogs will feature products. This current version of the Products API includes localizedContent to
                    support <a href="/pages/catalog-structure#multi-locale-catalogs">multi-locale catalogs</a>, which was not present in the legacy Products API model. If
                    you were a client prior to May 2024 and have upgraded your implementation to support this feature,
                    you can still access product data that has not yet been rewritten to the new model by providing
                    an x-api-version header set to "1".</p>
                <p>Use the <strong>Publishing</strong> resource to publish pending product updates together as part of a set.</p>
                <p>Use the <strong>Search</strong> resource to manage all settings and options for providing product search on your site, as
                    well as search tuning rules.</p>
            </div>
  title: Catalog Admin
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/catalog/admin/products:
    get:
      tags:
        - Products
      summary: Get Products
      description: >-
        Retrieves a list of products according to any specified filter criteria
        and sort options. This current version of the Products API includes
        localizedContent to support <a
        href="/pages/catalog-structure#multi-locale-catalogs">multi-locale
        catalogs</a>, which was not present in the previous API model. If you
        were a client prior to May 2024 and have upgraded your implementation to
        support this feature, you can still access product data that has not yet
        been rewritten to the new model by providing an x-api-version header set
        to "1". 
      parameters:
        - description: >-
            Used to page results from a query. Indicates the zero-based offset
            in the complete result set where the returned entities begin. For
            example, with a PageSize of 25, to get the 51st through the 75th
            items, startIndex=3. The default value is 0.
          in: query
          name: startIndex
          schema:
            default: 0
            format: int32
            type: integer
        - description: >-
            Used to page results from a query. Indicates the maximum number of
            entities to return from a single query. The default value is 20 and
            the maximum value is 200.
          in: query
          name: pageSize
          schema:
            default: 0
            format: int32
            type: integer
        - description: >-
            The element to sort the results by and the order in which the
            results appear. Either ascending or descending order. For example,
            to sort the results by “ID” ascending then by “CreateDate”
            descending, use: id asc,createdate desc.
          in: query
          name: sortBy
          schema:
            type: string
        - description: >-
            Used to get more specific information from the request. For example
            to get discounts applied to a product use the AppliedProducts
            response group. Available response groups: ApplicableDiscounts,
            VariationOptions, and BaseProductCode.
          in: query
          name: responseGroups
          schema:
            type: string
        - description: >-
            A set of filter expressions representing the search parameters for a
            query: eq=equals, ne=not equals, gt=greater than, lt = less than or
            equals, gt = greater than or equals, lt = less than or equals, sw =
            starts with, or cont = contains. Optional.
          in: query
          name: filter
          schema:
            type: string
        - in: query
          name: q
          schema:
            type: string
        - in: query
          name: qLimit
          schema:
            format: int32
            type: integer
        - in: query
          name: noCount
          schema:
            type: boolean
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CatalogAdminsProductCollection'
            text/json:
              schema:
                $ref: '#/components/schemas/CatalogAdminsProductCollection'
            text/plain:
              schema:
                $ref: '#/components/schemas/CatalogAdminsProductCollection'
          description: OK
components:
  schemas:
    CatalogAdminsProductCollection:
      description: Collection of products returned as a whole. A collection is not paged.
      properties:
        items:
          items:
            $ref: '#/components/schemas/CatalogAdminsProduct'
          nullable: true
          type: array
        pageCount:
          format: int32
          type: integer
        pageSize:
          format: int32
          type: integer
        startIndex:
          format: int32
          type: integer
        totalCount:
          format: int32
          type: integer
      type: object
    CatalogAdminsProduct:
      description: >-
        Use the Products resource to create and manage products for your store.
        You can create products with options that a shopper configures (such as
        a T-shirt color and size). The system can manage inventory for all
        combinations of your product options, and can calculate tax and shipping
        costs.
      properties:
        applicableDiscounts:
          description: Read only. List of discounts that are available for a product.
          items:
            $ref: '#/components/schemas/CatalogAdminsDiscount'
          nullable: true
          type: array
        auditInfo:
          $ref: '#/components/schemas/AdminUserAuditInfo'
        baseProductCode:
          description: >-
            This is the base product ProductCode of a product that is a
            variation. It is read-only and only populated for products that are
            variations of a configurable base product.
          nullable: true
          type: string
        bundledProducts:
          description: |-
            list of other products that are included in a BundleProduct
            This requires that the ProductUsage be set to Bundle
          items:
            $ref: '#/components/schemas/CatalogAdminsBundledProduct'
          nullable: true
          type: array
        content:
          $ref: '#/components/schemas/ProductLocalizedContent'
        extras:
          description: >-
            The Extras defined in the product Type that are currently assigned
            to this product
          items:
            $ref: '#/components/schemas/ProductExtra'
          nullable: true
          type: array
        fulfillmentTypesSupported:
          description: Indicates the fulfillment types the product supports.
          items:
            type: string
          nullable: true
          type: array
        hasConfigurableOptions:
          description: >-
            Read only. If true, this product has configurable options. The
            product is not purchasable until the shopper selects options that
            resolve to a product variation. System-supplied and read-only.
          nullable: false
          type: boolean
        hasStandAloneOptions:
          description: >-
            Read only. If true, the product has stand-alone options that a
            shopper may select. System-supplied and read-only.
          nullable: false
          type: boolean
        inventoryInfo:
          $ref: '#/components/schemas/CatalogAdminsProductInventoryInfo'
        isPackagedStandAlone:
          description: Does this product need to be packaged on its own
          nullable: true
          type: boolean
        isRecurring:
          description: >-
            If true, the product can be purchased or fulfilled at regular
            intervals, for example, monthly billing or a subscription.
          nullable: true
          type: boolean
        isTaxable:
          description: If true, the product is subject to tax.
          nullable: true
          type: boolean
        isValidForProductType:
          description: >-
            Read only flag that indicates if the product meets the product type
            constraints (All adminRequired attributes have a valid value)
          nullable: true
          type: boolean
        isVariation:
          description: >-
            Read only. If true, this is a product variation of a product with
            configurable options. System-supplied and read-only.
          nullable: false
          type: boolean
        localizedContent:
          description: The content for each locale code supported by the master catalog
          items:
            $ref: '#/components/schemas/ProductLocalizedContent'
          nullable: true
          type: array
        localizedSEOContent:
          description: >-
            The default content SEO content of a product. This content is always
            in the default language of the MasterCatalog
          items:
            $ref: '#/components/schemas/ProductLocalizedSEOContent'
          nullable: true
          type: array
        masterCatalogId:
          description: >-
            Identifier of the Master Catalog that this product is a member of.
            System-supplied and read-only
          format: int32
          nullable: true
          type: integer
        options:
          description: >-
            The Options defined in the product Type that are currently assigned
            to this product
          items:
            $ref: '#/components/schemas/CatalogAdminsProductOption'
          nullable: true
          type: array
        packageHeight:
          $ref: '#/components/schemas/CommerceRuntimeMeasurement'
        packageLength:
          $ref: '#/components/schemas/CommerceRuntimeMeasurement'
        packageWeight:
          $ref: '#/components/schemas/CommerceRuntimeMeasurement'
        packageWidth:
          $ref: '#/components/schemas/CommerceRuntimeMeasurement'
        price:
          $ref: '#/components/schemas/CatalogAdminsProductPrice'
        pricingBehavior:
          $ref: '#/components/schemas/CatalogAdminsProductPricingBehaviorInfo'
        primaryProductCollectionCode:
          description: >-
            When this product belongs to a product collection this is the
            product id for the primary collection.
          nullable: true
          type: string
        productCode:
          description: >-
            Merchant-created code identifier associated with the product, for
            example, a SKU or product item number.
          nullable: true
          type: string
        productCollectionProducts:
          description: |-
            list of other products that are members of a ProductCollection
            This requires that the ProductUsage be set to Collection
          items:
            $ref: '#/components/schemas/ProductCollectionProduct'
          maxItems: 35
          nullable: true
          type: array
        productCollections:
          description: >-
            List of Mozu.ProductAdmin.Contracts.ProductCollectionInfo that this
            product belongs to
          items:
            $ref: '#/components/schemas/CatalogAdminsProductCollectionInfo'
          nullable: true
          type: array
        productImageGroups:
          description: >-
            List of the image groups this product uses.

            Image groups are used to map different images to different product
            options.

            If the product doesn't have options then all images will be in the
            default

            image group.
          items:
            $ref: '#/components/schemas/CatalogAdminsProductImageGroup'
          nullable: true
          type: array
        productInCatalogs:
          description: >-
            Catalog specific info for each catalog a product is valid in. There
            should always be one or more entries here.
          items:
            $ref: '#/components/schemas/ProductInCatalogInfo'
          nullable: true
          type: array
        productSequence:
          description: System generated monotonically increasing sequence
          format: int32
          nullable: true
          type: integer
        productTypeId:
          description: >-
            Unique identifier of the productType of the product. Refers to a
            valid ProductType that was previously created with the ProductType
            resource.
          format: int32
          nullable: true
          type: integer
        productUsage:
          description: >-
            Indicates the usage type of this product. Must be one of the values
            in ProductUsageConst.
          nullable: true
          type: string
        properties:
          description: >-
            The Properties defined in the product Type that are currently
            assigned to this product
          items:
            $ref: '#/components/schemas/CatalogAdminsProductProperty'
          nullable: true
          type: array
        publishingInfo:
          $ref: '#/components/schemas/ProductPublishingInfo'
        seoContent:
          $ref: '#/components/schemas/ProductLocalizedSEOContent'
        shippingClassId:
          format: int32
          nullable: true
          type: integer
        slicingSettings:
          $ref: '#/components/schemas/SlicingSettings'
        standAlonePackageType:
          description: When packaged alone this is the package type
          nullable: true
          type: string
        supplierInfo:
          $ref: '#/components/schemas/ProductSupplierInfo'
        upc:
          description: UPC code of the product.
          nullable: true
          type: string
        variationKey:
          description: >-
            Read only. If IsVariation true, thish provides a unique key to
            manage the variation of the base product.
          nullable: true
          type: string
        variationOptions:
          description: >-
            Read only List of variations that exist for a product. This is only
            populated when IsVariation is true. To get the list of options, the
            GET request must include the VariationOptions response group.
          items:
            $ref: '#/components/schemas/ProductVariationOption'
          nullable: true
          type: array
      type: object
    CatalogAdminsDiscount:
      description: >-
        Allows you to define and manage discounts to apply to your products,
        product categories, or orders. The discounts can be a specified monetary
        amount off the price, percentage off the price, or for free shipping.

        You can create a coupon code that applies to the discount.
      properties:
        amount:
          description: |2-
                Amount of the discount, as a percentage or monetary amount, for example 15% or $15.
            Must be either null or greater than zero.
          exclusiveMinimum: true
          format: double
          minimum: 0
          nullable: true
          type: number
        amountType:
          description: "Type of discount, which can be either a percentage off the price, \na specific monetary amount, or free. \nPossible values: \n\tPercentage \n\tAmount \n\tFree\n\tFixedPrice"
          minLength: 1
          nullable: false
          type: string
        auditInfo:
          $ref: '#/components/schemas/AdminUserAuditInfo'
        canBeDeleted:
          description: >-
            Signifies that the discount is not referenced and can be hard
            deleted
          nullable: false
          type: boolean
        canBeStackedUpon:
          description: Indicates whether or not stacking is enabled for this discount
          nullable: true
          type: boolean
        code:
          description: >-
            Indicates unique code for the discount, if not present Discount Id
            is used as a code.
          maxLength: 50
          nullable: true
          pattern: ^[A-Za-z0-9-_\.()]*[A-Za-z0-9-_()]$
          type: string
        conditions:
          $ref: '#/components/schemas/CatalogAdminsDiscountCondition'
        content:
          $ref: '#/components/schemas/DiscountLocalizedContent'
        currentRedemptionCount:
          description: >-
            How many times this discount has been redeemed. System-supplied and
            read-only.
          format: int32
          nullable: true
          type: integer
        doesNotApplyToMultiShipToOrders:
          description: |-
            Flag to allow or prevent application to multi-ship-to orders,
            Only applicable to shipping discounts.
          nullable: true
          type: boolean
        doesNotApplyToProductsWithSalePrice:
          description: >-
            Determines whether or not a discount applies to a items with a sale
            price.  Applicable 

            on order and line item discounts.  For line items, when this is
            true, the discount will 

            be disqualified.  For order level discounts, when true, the discount
            will not be applied 

            to those items have a sale price.
          nullable: true
          type: boolean
        doesNotApplyToSalePrice:
          description: >-
            Determines if the discount should apply to sale price or regular
            price only.

            Discounts will apply to sale prices by default.

            Only applies to LineItem product discounts.
          nullable: true
          type: boolean
        hasPurchaseConditions:
          description: >-
            Indicates if this discount has purchase conditions that must be met
            before 

            the discount is applied
          nullable: false
          type: boolean
        id:
          description: Unique identifier of the discount. System-supplied and read-only.
          format: int32
          nullable: true
          type: integer
        includedPriceLists:
          description: >-
            Products receiving a price from a price list specified here or a
            child of a specified 

            price list can be discounted.
          items:
            type: string
          nullable: true
          type: array
        isBxGx:
          description: >-
            Readonly property indicating that the condition required purchase is
            the 

            same as the target items.  Used in BxGx and BoGo type discounts.
          nullable: true
          type: boolean
        isDisabled:
          description: Signifies if the discount is disabled (Null is treated as false)
          nullable: true
          type: boolean
        isPublic:
          description: Determines whether the discount is available for every shopper.
          nullable: true
          type: boolean
        isSubscriptionDiscount:
          description: >-
            Determines how discounts will be evaluated for subscription items
            and during continuity orders.
          nullable: true
          type: boolean
        labels:
          description: Indicates unique discount labels.
          items:
            type: string
          nullable: true
          type: array
        localizedContent:
          description: >-
            Container for the language-specific name of the discount. You will
            have a container for each supported language (LocaleCode).

            This enables you to display the discount name in multiple languages
            yet manage it as a single discount internally.
          items:
            $ref: '#/components/schemas/DiscountLocalizedContent'
          nullable: true
          type: array
        maximumDiscountImpactPerOrder:
          description: |-
            Maximum impact this discount can apply on a single order.
             Must be either null or greater than zero.
          exclusiveMinimum: true
          format: double
          minimum: 0
          nullable: true
          type: number
        maximumDiscountImpactPerRedemption:
          description: |-
            Maximum impact this discount can apply on a single line item.
             Must be either null or greater than zero.
          exclusiveMinimum: true
          format: double
          minimum: 0
          nullable: true
          type: number
        maximumRedemptionsPerOrder:
          description: |-
            Maximum number of redemptions allowed per order.
            If null, defaults to unlimited.
          exclusiveMinimum: true
          format: int32
          minimum: 0
          nullable: true
          type: integer
        maximumUsesPerUser:
          description: |-
            Maximum number of times a user can redeem this discount.
             Must be either null or greater than zero.
          exclusiveMinimum: true
          format: int32
          minimum: 0
          nullable: true
          type: integer
        preventLineItemShippingDiscounts:
          description: >-
            Prevents Line Item Shipping discounts from being applied when a Line
            Item Product  

            discount has been applied
          nullable: true
          type: boolean
        preventOrderProductDiscounts:
          description: >-
            Prevents Order Product discounts from being applied when a Line Item
            Product  

            or Shipping discount has been applied
          nullable: true
          type: boolean
        preventOrderShippingDiscounts:
          description: >-
            Prevents Order Shipping discounts from being applied when a Line
            Item Product/Shipping  

            or Order Product discount has been applied
          nullable: true
          type: boolean
        purchaseRequirementType:
          description: >-
            The type of purchase requirement for this discount, either purchase
            conditions and targets which   

            Supports BoGo, and BxGx scenarios. Or Target only that only have a
            target and no purchase conditions
          nullable: true
          type: string
        reevalFreeItemMinOrderPostDiscounts:
          description: >-
            Enables post-order-discount minimum re-evaluation for eligible
            free-item discounts.

            Values null and false are treated as disabled.
          nullable: true
          type: boolean
        scope:
          description: >-
            Scope to which the discount applies, valid values are: Order,
            LineItem
          minLength: 1
          nullable: false
          type: string
        stackingLayer:
          description: Indicates which stacking layer this discount is a part of
          format: int32
          nullable: true
          type: integer
        status:
          description: >-
            Discount status which can be "Active," "Scheduled," or "Expired."
            System-supplied and read-only.
          nullable: true
          type: string
        tagCodes:
          description: System-supplied and read-only.
          items:
            type: string
          nullable: true
          type: array
        target:
          $ref: '#/components/schemas/CatalogAdminsDiscountTarget'
        thresholdMessage:
          $ref: '#/components/schemas/CatalogAdminsThresholdMessage'
      required:
        - amountType
        - scope
        - target
      type: object
    AdminUserAuditInfo:
      properties:
        createBy:
          nullable: true
          type: string
        createDate:
          format: date-time
          nullable: true
          type: string
        updateBy:
          nullable: true
          type: string
        updateDate:
          format: date-time
          nullable: true
          type: string
      type: object
    CatalogAdminsBundledProduct:
      description: Price of the product and currency used.
      properties:
        fulfillmentTypesSupported:
          description: Indicates the fulfillment types the product supports.
          items:
            type: string
          nullable: true
          type: array
        packageHeight:
          $ref: '#/components/schemas/CommerceRuntimeMeasurement'
        packageLength:
          $ref: '#/components/schemas/CommerceRuntimeMeasurement'
        packageWeight:
          $ref: '#/components/schemas/CommerceRuntimeMeasurement'
        packageWidth:
          $ref: '#/components/schemas/CommerceRuntimeMeasurement'
        price:
          $ref: '#/components/schemas/CatalogAdminsProductPrice'
        productCode:
          description: Product Code
          nullable: true
          type: string
        productName:
          description: Read only Name of the BundledProduct
          nullable: true
          type: string
        quantity:
          description: Qty of the bundled PRoduct
          format: int32
          nullable: false
          type: integer
      type: object
    ProductLocalizedContent:
      description: >-
        Container for language-specific content to display on the storefront.
        You'll have a container for each supported language (LocaleCode). This
        enables you to display a product in multiple languages yet manage it as
        a single product internally.
      properties:
        localeCode:
          description: >-
            Lanugage used for product content. Currently, only en_US is
            supported.
          nullable: true
          type: string
        productFullDescription:
          description: >-
            Long description of the product typically used for a product details
            page.
          nullable: true
          type: string
        productImages:
          description: List of images associated with the product.
          items:
            $ref: '#/components/schemas/ProductLocalizedImage'
          nullable: true
          type: array
        productName:
          description: Name of the product.
          nullable: false
          pattern: ^(?!\s+).+(?<!\s)$
          type: string
        productShortDescription:
          description: >-
            Brief description of the product typically used when the product is
            displayed in a list or search results.
          nullable: true
          type: string
      type: object
    ProductExtra:
      description: >-
        Product options for configurable or stand-alone products. A configurable
        option is one that the shopper chooses when ordering, for example, 

        the color of a T-shirt. A stand-alone option is independent of the
        product and can be added to the product order. For example, a monogram.
      properties:
        attributeFQN:
          description: Unique identifier of the Attribute.
          nullable: true
          type: string
        isMultiSelect:
          nullable: true
          type: boolean
        isRequired:
          nullable: true
          type: boolean
        values:
          items:
            $ref: '#/components/schemas/ProductExtraValue'
          nullable: true
          type: array
      type: object
    CatalogAdminsProductInventoryInfo:
      description: >-
        Use the Products resource to create and manage products for your store.
        You can create products with options that a shopper configures (such as
        a T-shirt color and size). The system can manage inventory for all
        combinations of your product options, and can calculate tax and shipping
        costs.
      properties:
        manageStock:
          description: If true, the Products service manages inventory for this product.
          nullable: true
          type: boolean
        outOfStockBehavior:
          description: >-
            The behvior when the ManageStock is true and the product is not in
            stock.
          nullable: true
          type: string
      type: object
    ProductLocalizedSEOContent:
      description: >-
        Container for language-specific content to display on the storefront.
        You'll have a container for each supported language (LocaleCode). This
        enables you to display a product in multiple languages yet manage it as
        a single product internally.
      properties:
        localeCode:
          description: >-
            Lanugage used for product content. Currently, only en_US is
            supported.
          nullable: true
          type: string
        metaTagDescription:
          description: >-
            Metadata description. Metadata can be used to manage information
            internally. Sometimes used for SEO.
          nullable: true
          type: string
        metaTagKeywords:
          description: >-
            Metadata keywords. Metadata can be used to manage information
            internally. Sometimes used for SEO.
          nullable: true
          type: string
        metaTagTitle:
          description: >-
            Metadata title. Metadata can be used to manage information
            internally. Sometimes used for SEO.
          nullable: true
          type: string
        seoFriendlyUrl:
          description: >-
            Human-readable identifier that you can give to the product to create
            friendly URLs. For example, 

            instead of "http: //example.com/products?category=2&id=25," the
            friendly URL can be "http: //example.com/products/category/2/25."
          nullable: true
          type: string
        titleTagTitle:
          description: >-
            Used to customize the HTML title tag within the head section of the
            product details page
          nullable: true
          type: string
      type: object
    CatalogAdminsProductOption:
      description: >-
        Product options for configurable or stand-alone products. A configurable
        option is one that the shopper chooses when ordering, for example, 

        the color of a T-shirt. A stand-alone option is independent of the
        product and can be added to the product order. For example, a monogram.
      properties:
        attributeFQN:
          description: Unique identifier of the Attribute.
          nullable: true
          type: string
        isProductImageGroupSelector:
          description: >-
            Defines whether or not this option can be used to segment product
            images
          nullable: true
          type: boolean
        values:
          description: List of all the values for this product option.
          items:
            $ref: '#/components/schemas/CatalogAdminsProductOptionValue'
          nullable: true
          type: array
      type: object
    CommerceRuntimeMeasurement:
      properties:
        unit:
          nullable: true
          type: string
        value:
          format: double
          nullable: true
          type: number
      type: object
    CatalogAdminsProductPrice:
      description: Price of the product and currency used.
      properties:
        creditValue:
          description: Credit amt of the product
          format: double
          nullable: true
          type: number
        isoCurrencyCode:
          description: Currency code.
          nullable: true
          type: string
        map:
          description: Minimum Advertised Price
          format: double
          nullable: true
          type: number
        mapEndDate:
          description: Minimum Advertised Price effectivity end date (null = forever)
          format: date-time
          nullable: true
          type: string
        mapStartDate:
          description: >-
            Minimum Advertised Price effective start date (null = begining of
            time)
          format: date-time
          nullable: true
          type: string
        msrp:
          description: Manufacturer Suggested Retail Price. +
          format: double
          nullable: true
          type: number
        price:
          description: >-
            Price of the product. This is the price the merchant intends to sell
            the product if no sale price is present.
          format: double
          minimum: 0
          nullable: true
          type: number
        salePrice:
          description: >-
            Current sale price of the product. Sale price is a numeric
            (monetary) amount, not a percentage off.
          format: double
          minimum: 0
          nullable: true
          type: number
      type: object
    CatalogAdminsProductPricingBehaviorInfo:
      description: Pricing behavior associated with the product
      properties:
        discountsRestricted:
          nullable: true
          type: boolean
        discountsRestrictedEndDate:
          format: date-time
          nullable: true
          type: string
        discountsRestrictedStartDate:
          format: date-time
          nullable: true
          type: string
        variationPricingMethod:
          description: Only used when product is a variation
          nullable: true
          type: string
      type: object
    ProductCollectionProduct:
      description: List of products that belong to a product collection product.
      properties:
        content:
          $ref: '#/components/schemas/ProductLocalizedContent'
        memberKey:
          $ref: '#/components/schemas/CatalogAdminsProductCollectionMemberKey'
        price:
          $ref: '#/components/schemas/CatalogAdminsProductPrice'
        productUsage:
          description: >-
            ReadOnly Indicates the usage type of this product. Must be one of
            the values in ProductUsageConst.
          nullable: true
          readOnly: true
          type: string
      type: object
    CatalogAdminsProductCollectionInfo:
      description: >-
        Information about the relationship between a
        Mozu.ProductAdmin.Contracts.Product and a productCollection (product
        with usagetype of collection)

        This is only represented on the product member side of the relationship.
      properties:
        collectionName:
          description: Collection name in the language of the master catalog
          nullable: true
          type: string
        collectionProductCode:
          description: >-
            Product code of the product that is the collection that the
            containing product belongs to
          nullable: true
          type: string
        isPrimaryCollection:
          description: True when this is the primary collection for the containing product.
          nullable: true
          type: boolean
      type: object
    CatalogAdminsProductImageGroup:
      properties:
        productImageGroupId:
          minLength: 1
          nullable: false
          type: string
        productImageGroupTags:
          items:
            $ref: '#/components/schemas/CatalogAdminsProductImageGroupTag'
          nullable: true
          type: array
      required:
        - productImageGroupId
      type: object
    ProductInCatalogInfo:
      description: >-
        Use the Products resource to create and manage products for your store.
        You can create products with options that a shopper configures (such as
        a T-shirt color and size). The system can manage inventory for all
        combinations of your product options, and can calculate tax and shipping
        costs.
      properties:
        activeDateRange:
          $ref: '#/components/schemas/CatalogAdminsActiveDateRange'
        auditInfo:
          $ref: '#/components/schemas/AdminUserAuditInfo'
        catalogId:
          description: >-
            The CatalogId of the catalog that the product is associated with
            (The catalog must a valid catalog within the MasterCatalog that the
            product belongs to)
          format: int32
          nullable: false
          type: integer
        dateFirstAvailableInCatalog:
          description: >-
            Date this product was first Available for sale in the catalog. This
            is utilized in expressions that reference DaysInCatloag.
          format: date-time
          nullable: true
          type: string
        isActive:
          description: >-
            If true, the product is marked as available for sale in the catalog.
            Setting a product to IsActive = false will prevent it from being
            shown on the customer facing storefront.
          nullable: true
          type: boolean
        isPriceOverridden:
          description: >-
            If true, the price for this product is overridden in the catalog. If
            false, the MasterCatalog level price will be used for the product.
          nullable: true
          type: boolean
        price:
          $ref: '#/components/schemas/CatalogAdminsProductPrice'
        primaryProductCategory:
          $ref: '#/components/schemas/ProductCategory'
        productCategories:
          description: Categories to which the product belongs for this catalog.
          items:
            $ref: '#/components/schemas/ProductCategory'
          nullable: true
          type: array
      type: object
    CatalogAdminsProductProperty:
      description: >-
        Product options for configurable or stand-alone products. A configurable
        option is one that the shopper chooses when ordering, for example, 

        the color of a T-shirt. A stand-alone option is independent of the
        product and can be added to the product order. For example, a monogram.
      properties:
        attributeFQN:
          description: Unique identifier of the Attribute.
          nullable: true
          type: string
        forceOrder:
          nullable: true
          type: boolean
        values:
          items:
            $ref: '#/components/schemas/CatalogAdminsProductPropertyValue'
          nullable: true
          type: array
      type: object
    ProductPublishingInfo:
      description: Price of the product and currency used.
      properties:
        lastPublishedBy:
          nullable: true
          type: string
        lastPublishedDate:
          format: date-time
          nullable: true
          type: string
        publishSetCode:
          nullable: true
          type: string
        publishedState:
          nullable: true
          type: string
      type: object
    SlicingSettings:
      description: Container class for Slicing Settings
      properties:
        slicingAttributeFqn:
          description: Product option FQN to create slices on
          nullable: true
          type: string
      type: object
    ProductSupplierInfo:
      description: Supplier info for the product
      properties:
        cost:
          $ref: '#/components/schemas/CatalogAdminsProductCost'
        distPartNumber:
          nullable: true
          type: string
        mfgPartNumber:
          nullable: true
          type: string
      type: object
    ProductVariationOption:
      description: >-
        An option for a product variation. For example, a T-shirt with size and
        color configurable options, might have a product variation option of
        "size" or "color."
      properties:
        attributeFQN:
          description: >-
            Unique identifier of the product variation option. System-supplied
            and read-only.
          nullable: true
          type: string
        content:
          $ref: '#/components/schemas/AttributeVocabularyValueLocalizedContent'
        value:
          description: >-
            Name of the product variation option used on the admin side
            independent of how it appears on the storefront. For example, the
            internal "SZ" attribute might appear as "size" on the storefront.
          nullable: true
      type: object
    CatalogAdminsDiscountCondition:
      description: >-
        Specifies constraints that must be satified for a discount to be applied
        to a target.

        Constraints are Anded together
      properties:
        categoriesToExcludeFromMinOrderTotal:
          description: >-
            List of categories to discount. When a discount applies to a
            category, all products in the category are discounted.
          items:
            $ref: '#/components/schemas/CategoryDiscountCondition'
          nullable: true
          type: array
        continuityRecurrenceSettings:
          $ref: '#/components/schemas/ContinuityRecurrenceSettings'
        couponCode:
          description: >-
            Code of the coupon associated with the discount (if a coupon code is
            required). The merchant can supply the code or the system can
            generate it.
          nullable: true
          type: string
        customerSegments:
          description: List of customer groups for which the discount applies
          items:
            $ref: '#/components/schemas/PricingRuntimeCustomerSegment'
          nullable: true
          type: array
        excludedCategories:
          description: >-
            List of categories to discount. When a discount applies to a
            category, all products in the category are discounted.
          items:
            $ref: '#/components/schemas/CategoryDiscountCondition'
          nullable: true
          type: array
        excludedProducts:
          description: List of products that are eligible for the discount.
          items:
            $ref: '#/components/schemas/ProductDiscountCondition'
          nullable: true
          type: array
        exclusiveLocationCodes:
          description: >-
            List of locations where the item/order should be fulfilled for the
            discount to be valid.
          items:
            type: string
          nullable: true
          type: array
        exclusiveSiteIds:
          description: >-
            The discount condition for site Ids, if present the discount will be
            applied only to these sites.

            If not present discount will work for all sites in a catalog.
          items:
            format: int32
            type: integer
          nullable: true
          type: array
        expirationDate:
          description: >-
            Date when the discount expires. Default is null (no expiration
            date).
          format: date-time
          nullable: true
          type: string
        expression:
          $ref: '#/components/schemas/CatalogAdminsCustomerDynamicExpression'
        includedCategories:
          description: >-
            List of categories that must be purchased in order for the discount
            to be valid.
          items:
            $ref: '#/components/schemas/CategoryDiscountCondition'
          nullable: true
          type: array
        includedPaymentWorkflows:
          description: List of payment types that trigger this discount to be valid.
          items:
            type: string
          nullable: true
          type: array
        includedProducts:
          description: List of products that are eligible for the discount.
          items:
            $ref: '#/components/schemas/ProductDiscountCondition'
          nullable: true
          type: array
        maxRedemptionCount:
          description: >-
            Maximum number of times that the discount can be redeemed. Default
            is null (no limit to discount redemptions).
          exclusiveMinimum: true
          format: int32
          minimum: 0
          nullable: true
          type: integer
        maximumOrderAmount:
          description: >-
            Only applies to order.

            Maximum order subtotal after discounts in order for the associated
            discount to be applied
          format: double
          nullable: true
          type: number
        minDistinctProductsRequired:
          description: |-
            The minimum number of distinct products on the order
            Not a quantity calculation.
          format: int32
          nullable: true
          type: integer
        minTotalOrderQuantity:
          description: >-
            The order must contain at least this total quantity of items for the
            discount to apply.

            You must buy a combined quantity of at least x amount.
          format: int32
          nullable: true
          type: integer
        minimumCategorySubtotalBeforeDiscounts:
          description: >-
            Minimum amount that must be purchased in the combined categories
            defined in 

            IncludedCategories.  Amount is calculated before discounting.

            Not used if IncludedCategories is empty.
          format: double
          nullable: true
          type: number
        minimumLifetimeValueAmount:
          description: Minimum lifetime value amount required for this discount to apply
          format: double
          nullable: true
          type: number
        minimumOrderAmount:
          description: >-
            Only applies to order.

            Minimum order subtotal after discounts in order for the associated
            discount to be applied
          format: double
          nullable: true
          type: number
        minimumQuantityProductsRequiredInCategories:
          description: >-
            Minimum quantity of products in the categories specified in
            IncludedCategories that must be purchased to

            qualify for the associated discount.

            Defaults to 1 if  null and IncludedCategories has values
          exclusiveMinimum: true
          format: int32
          minimum: 0
          nullable: true
          type: integer
        minimumQuantityRequiredProducts:
          description: >-
            Minimum quantity of products in the specified IncludedProducts that
            must be purchased to

            qualify for the associated discount.

            Defaults to 1 if  null and IncludedProducts has values.
          exclusiveMinimum: true
          format: int32
          minimum: 0
          nullable: true
          type: integer
        minimumRequiredQuantityPerRedemption:
          description: >-
            Defines a minimum quantity that is required for a target only
            discount
          format: int32
          nullable: true
          type: integer
        pricingContext:
          description: >-
            The pricing context must match on this value for the discount to
            apply.

            This only matters for tenants that use subscription products
          nullable: true
          type: string
        productsToExcludeFromMinOrderTotal:
          description: List of products that are eligible for the discount.
          items:
            $ref: '#/components/schemas/ProductDiscountCondition'
          nullable: true
          type: array
        requiresAuthenticatedUser:
          description: |-
            Determines is this discount can be used by an anonymous user 
            Defaults to false to allow discounts for anonymous users.
          nullable: false
          type: boolean
        requiresCoupon:
          description: >-
            If true, the shopper needs to enter a coupon code to redeem the
            discount.
          nullable: false
          type: boolean
        startDate:
          description: >-
            Date when the discount can goes into effect, in the format
            yyyy-mm-dd.
          format: date-time
          nullable: true
          type: string
        validFulfillmentMethods:
          description: >-
            The discount condition for fulfillment methods, if present the
            discount will be applied only to these fulfillment methods.

            This must be a value defined in FulfillmentMethodConst below.
          items:
            type: string
          nullable: true
          type: array
        validSubscriptionContinuityOrdinals:
          description: Ordinals at which a continuity order should receive the discount.
          items:
            format: int32
            type: integer
          nullable: true
          type: array
        validSubscriptionFrequencies:
          description: List of subscription frequencies to which the discount will apply.
          items:
            type: string
          nullable: true
          type: array
      type: object
    DiscountLocalizedContent:
      description: >-
        Container for the language-specific name of the discount. You will have
        a container for each supported language

        (LocaleCode).

        This enables you to display the discount name in multiple languages yet
        manage it as a single discount internally.
      properties:
        auditInfo:
          $ref: '#/components/schemas/AdminUserAuditInfo'
        customPropertyValues:
          $ref: '#/components/schemas/CustomPropertyValues'
        friendlyDescription:
          description: >-
            Promotional text or HTML that can be utilized as friendly content
            like "Buy this product now and get X!"
          nullable: true
          type: string
        localeCode:
          description: >-
            Lanugage used for the discount in the current catalog. Defaults
            setting for the active catalog.
          maxLength: 8
          minLength: 0
          nullable: true
          type: string
        name:
          description: Name of the discount.
          maxLength: 200
          minLength: 0
          nullable: false
          type: string
      required:
        - name
      type: object
    CatalogAdminsDiscountTarget:
      description: >-
        What to discount. Specifies the type of discount (percentage off,
        monetary amount, or free shipping) and which products, categories, or
        shipping methods are eligible for the discount.

        Can also specify the minimum amount that the order must total for the
        discount to apply.
      properties:
        appliesToLeastExpensiveProductsFirst:
          description: >-
            Determines which way the discount is optimized.  Consumers
            favor(default - false/null) or tenants favor (when this is set to
            true)

            Applies to discounts where target is not a specific product or list
            of products.  

            May also impact behavior of Buy X Get Y so that X is the most
            expensive items and Y the least expensive.
          nullable: true
          type: boolean
        categories:
          description: >-
            List of categories to discount. When a discount applies to a
            category, all products in the category are discounted.
          items:
            $ref: '#/components/schemas/CatalogAdminsTargetedCategory'
          nullable: true
          type: array
        doNotApplyToHandlingFees:
          description: Prevents the discount from being applied to handling fees
          nullable: true
          type: boolean
        excludeItemsWithExistingProductDiscounts:
          description: >-
            Prevents order scoped discounts from layering over items that
            already have a product discount with the 

            same type.
          nullable: true
          type: boolean
        excludeItemsWithExistingShippingDiscounts:
          description: >-
            Prevents order scoped discounts from layering over items that
            already have a shipping discount with the 

            same type.
          nullable: true
          type: boolean
        excludedCategories:
          description: >-
            List of categories to exclude from the discount. Useful to exclude
            specific child categories.
          items:
            $ref: '#/components/schemas/CatalogAdminsTargetedCategory'
          nullable: true
          type: array
        excludedCategoriesOperator:
          description: |-
            Applies to Included categories
            Defaults to Any
          nullable: true
          type: string
        excludedProducts:
          description: List of products that are excluded from the discount.
          items:
            $ref: '#/components/schemas/TargetedProduct'
          nullable: true
          type: array
        includeAllProducts:
          description: If yes, the discount applies to all products sold on the storefront.
          nullable: true
          type: boolean
        includedCategoriesOperator:
          description: >-
            Applies to Included categories

            When Any, the target product can belong to any specified category.

            When All, the target product must belong to all specified
            categories.

            Defaults to Any
          nullable: true
          type: string
        maximumQuantityPerRedemption:
          description: >-
            When a condition is specified, this property limits the number of
            items that can be targeted per discount redemption with an order.

            if multiple redemptions are allowed per order then multiples of this
            value would be allowed in multiples of the associated 

            condition.

            If no condition is specified then this value is not used.  

            If null and condition exists, then defaults to 1.
          exclusiveMinimum: true
          format: int32
          minimum: 0
          nullable: true
          type: integer
        products:
          description: List of products that are eligible for the discount.
          items:
            $ref: '#/components/schemas/TargetedProduct'
          nullable: true
          type: array
        shippingMethods:
          description: >-
            Shipping method that is eligible for shipping discounts. This is a
            shipping method defined in Shipping Settings.
          items:
            $ref: '#/components/schemas/CatalogAdminsTargetedShippingMethod'
          nullable: true
          type: array
        shippingZones:
          description: Shipping Zones that are applicable for this discount
          items:
            $ref: '#/components/schemas/CatalogAdminsTargetedShippingZone'
          nullable: true
          type: array
        type:
          description: >2-
                Type of target to which the discount applies. Possible values: <pre>Product</pre> or <pre>Shipping</pre>. 
            If this is a <pre>Product</pre> type, you can specify which products
            or categories that the discount applies to.
                If this is a <pre>Shipping</pre> type then you must specify which shipping methods apply.
          minLength: 1
          nullable: false
          type: string
      required:
        - type
      type: object
    CatalogAdminsThresholdMessage:
      properties:
        auditInfo:
          $ref: '#/components/schemas/AdminUserAuditInfo'
        content:
          $ref: '#/components/schemas/ThresholdMessageLocalizedContent'
        discountId:
          description: Unique identifier of the discount. System-supplied and read-only.
          format: int32
          nullable: false
          type: integer
        isActive:
          description: Indicates if threshold messages are active for this discount
          nullable: false
          type: boolean
        localizedContent:
          description: >-
            Container for the language-specific name of the threshold message.
            You will have a container for each supported language (LocaleCode).

            This enables you to display the message in multiple languages yet
            manage it as a single message internally.
          items:
            $ref: '#/components/schemas/ThresholdMessageLocalizedContent'
          nullable: true
          type: array
        requiresCouponCode:
          description: >-
            Indicates if the threshold message will display when a promo code is
            evaluated
          nullable: false
          type: boolean
        showInCart:
          description: Indicates if the threshold message will display in the cart
          nullable: false
          type: boolean
        showOnCheckout:
          description: Indicates if the threshold message will display on the checkout page
          nullable: false
          type: boolean
        thresholdValue:
          description: >-
            The cart total amount that must be met before the threshold message
            is displayed
          format: double
          nullable: false
          type: number
      required:
        - discountId
        - thresholdValue
      type: object
    ProductLocalizedImage:
      description: >-
        Contains the image label and alternate text for a product image or video
        in the language specified by LocalCode.
      properties:
        altText:
          description: >-
            Descriptive text associated with the image or video that appears on
            the storefront.
          nullable: true
          type: string
        cmsId:
          description: Id of the image in the CMS.
          nullable: true
          type: string
        id:
          description: Unique identifier of the image. System-supplied and read-only.
          format: int32
          nullable: true
          type: integer
        imageLabel:
          description: Image title that appears on the storefront.
          nullable: true
          type: string
        imageUrl:
          description: URL of the image.
          nullable: true
          type: string
        localeCode:
          description: Language used for the image content.
          nullable: true
          type: string
        mediaType:
          description: >-
            Type of media. Used by the client to determine how to render the
            image or video or what have you.
          nullable: true
          type: string
        productImageGroupId:
          description: Image group to which this image belongs.  Default is null.
          nullable: true
          type: string
        sequence:
          description: >-
            For products with multiple images, the order in which this image
            appears on the storefront.
          format: int32
          nullable: true
          type: integer
        videoUrl:
          description: URL of a video associated with the product.
          nullable: true
          type: string
      type: object
    ProductExtraValue:
      description: >-
        A value of a product option for this product. For example, a computer
        product may have an option called "Memory" that can have the values
        "6GB,"8GB," and "12GB."
      properties:
        attributeVocabularyValueDetail:
          $ref: '#/components/schemas/CatalogAdminsAttributeVocabularyValue'
        deltaPrice:
          $ref: '#/components/schemas/ProductExtraValueDeltaPrice'
        deltaWeight:
          format: double
          nullable: true
          type: number
        isDefaulted:
          nullable: true
          type: boolean
        localizedDeltaPrice:
          items:
            $ref: '#/components/schemas/ProductExtraValueDeltaPrice'
          nullable: true
          type: array
        quantity:
          format: int32
          nullable: true
          type: integer
        value:
          nullable: true
      type: object
    CatalogAdminsProductOptionValue:
      description: >-
        A value of a product option for this product. For example, a computer
        product may have an option called "Memory" that can have the values
        "6GB,"8GB," and "12GB."
      properties:
        attributeVocabularyValueDetail:
          $ref: '#/components/schemas/CatalogAdminsAttributeVocabularyValue'
        value:
          nullable: true
      type: object
    CatalogAdminsProductCollectionMemberKey:
      description: Key to resolve a collection member
      properties:
        value:
          description: Key to resolve a collection member product
          nullable: true
          type: string
      type: object
    CatalogAdminsProductImageGroupTag:
      properties:
        fqn:
          minLength: 1
          nullable: false
          type: string
        values:
          items:
            type: string
          nullable: true
          type: array
      required:
        - fqn
      type: object
    CatalogAdminsActiveDateRange:
      description: Active Effectivity Dates
      properties:
        endDate:
          format: date-time
          nullable: true
          type: string
        startDate:
          format: date-time
          nullable: true
          type: string
      type: object
    ProductCategory:
      description: Categories to which the product belongs.
      properties:
        categoryId:
          description: Unique identifier of the category. System-supplied and read-only.
          format: int32
          nullable: false
          type: integer
      type: object
    CatalogAdminsProductPropertyValue:
      description: >-
        A value of a product option for this product. For example, a computer
        product may have an option called "Memory" that can have the values
        "6GB,"8GB," and "12GB."
      properties:
        attributeVocabularyValueDetail:
          $ref: '#/components/schemas/CatalogAdminsAttributeVocabularyValue'
        content:
          $ref: '#/components/schemas/ProductPropertyValueLocalizedContent'
        localizedContent:
          items:
            $ref: '#/components/schemas/ProductPropertyValueLocalizedContent'
          nullable: true
          type: array
        value:
          nullable: true
      type: object
    CatalogAdminsProductCost:
      description: Price of the product and currency used.
      properties:
        cost:
          description: >-
            Cost of the product. This is the price the merchant pays for the
            product.
          format: double
          nullable: true
          type: number
        isoCurrencyCode:
          description: Currency code.
          nullable: true
          type: string
      type: object
    AttributeVocabularyValueLocalizedContent:
      description: Attribute Value Localized Resource
      properties:
        localeCode:
          description: >-
            Language used for the string attribute value. Currently, only en_US
            is supported.
          nullable: true
          type: string
        stringValue:
          description: Localized Value in the language of the locale code
          minLength: 1
          nullable: false
          type: string
      type: object
    CategoryDiscountCondition:
      description: Represents a product category and quantity constraint
      properties:
        categoryId:
          description: >-
            Unique identifier of the category to which the discount condition
            applies.
          format: int32
          nullable: false
          type: integer
      type: object
    ContinuityRecurrenceSettings:
      properties:
        interval:
          description: Interval until next discount applies
          format: int32
          nullable: true
          type: integer
        startOrdinal:
          description: Continuity ordinal to start discounting
          format: int32
          nullable: true
          type: integer
        stopOrdinal:
          description: Continuity ordinal to stop discounting
          format: int32
          nullable: true
          type: integer
      type: object
    PricingRuntimeCustomerSegment:
      description: Represents a customer segment
      properties:
        id:
          description: |-
            The Customer segment Id.
            This is the  system Id not the code.
          format: int32
          nullable: false
          type: integer
      type: object
    ProductDiscountCondition:
      description: Represents a product and quantity constraint
      properties:
        productCode:
          description: Product code of the product to discount.
          nullable: true
          type: string
      type: object
    CatalogAdminsCustomerDynamicExpression:
      description: Category
      properties:
        text:
          nullable: true
          type: string
        tree:
          $ref: '#/components/schemas/CatalogAdminsExpression'
      type: object
    CustomPropertyValues:
      properties:
        value1:
          nullable: true
          type: string
        value10:
          nullable: true
          type: string
        value2:
          nullable: true
          type: string
        value3:
          nullable: true
          type: string
        value4:
          nullable: true
          type: string
        value5:
          nullable: true
          type: string
        value6:
          nullable: true
          type: string
        value7:
          nullable: true
          type: string
        value8:
          nullable: true
          type: string
        value9:
          nullable: true
          type: string
      type: object
    CatalogAdminsTargetedCategory:
      description: >-
        Category to discount. When a discount applies to a category, all
        products in the category are discounted.
      properties:
        id:
          description: Unique identifier of the category to which the discount applies.
          format: int32
          nullable: true
          type: integer
      type: object
    TargetedProduct:
      description: Product to discount.
      properties:
        productCode:
          description: Product code of the product to discount.
          nullable: true
          type: string
      type: object
    CatalogAdminsTargetedShippingMethod:
      description: >-
        Shipping method that is eligible for free shipping. This is the shipping
        method that is defined with the Shipping

        Settings resource.
      properties:
        code:
          description: >-
            Unique identifier of the shipping method as it appears in the
            SiteShippingMethod property of the Shipping Settings

            resource.
          maxLength: 100
          minLength: 0
          nullable: false
          type: string
        name:
          description: >-
            Name of the shipping method as it appears in
            SiteShippingMethodLocalizedContent of the Shipping Settings
            resource.
          nullable: true
          type: string
      required:
        - code
      type: object
    CatalogAdminsTargetedShippingZone:
      description: >-
        Shipping method that is eligible for free shipping. This is the shipping
        method that is defined with the Shipping

        Settings resource.
      properties:
        zone:
          description: >-
            Indicates the shipping zone that this discount is valid for.  If
            zone is provided the

            method selected must be valid for the zone and both populated in the
            order for the discount

            to be valid.
          maxLength: 200
          minLength: 0
          nullable: false
          type: string
      required:
        - zone
      type: object
    ThresholdMessageLocalizedContent:
      properties:
        auditInfo:
          $ref: '#/components/schemas/AdminUserAuditInfo'
        localeCode:
          description: >-
            Language used for the discount in the current catalog. Defaults
            setting for the active catalog.
          maxLength: 8
          minLength: 0
          nullable: true
          type: string
        messageTemplate:
          description: Locale-based contents of the Threshold Message.
          nullable: false
          type: string
      required:
        - messageTemplate
      type: object
    CatalogAdminsAttributeVocabularyValue:
      description: Value of an attribute
      properties:
        content:
          $ref: '#/components/schemas/AttributeVocabularyValueLocalizedContent'
        displayOrder:
          description: >-
            The order in which the attribute value displays. If you omit a value
            for this property, Mozu infers the display order from the attribute
            value's position the list.
          format: int32
          nullable: true
          type: integer
        localizedContent:
          description: >-
            The Content of an attribute value. This content is in multiple
            locals supported by the master catalog and is only valid for String
            DataType.
          items:
            $ref: '#/components/schemas/AttributeVocabularyValueLocalizedContent'
          nullable: true
          type: array
        mappedGenericValues:
          description: >-
            The actual values of the related generic attribute. This value must
            match the datatype of the attribute and already exist 

            within the Vocabulary values of the related ValueMappingAttribute.
            Only supporting string at this time.
          items: {}
          maxItems: 200
          nullable: true
          type: array
        productName:
          description: The ProductName when the Attribute DataType is ProductCode.
          nullable: true
          type: string
        value:
          description: >-
            The actual value of the attribute vocabulary. This value must be
            unique within the vocabulary for a single attribute and match the
            datatype of the attribute. 

            String data type requires a canonical value here or one will be
            system generated if null. The actual string content displayed to
            users should be stored as Content. 

            String values require content to be present.

            Once this value is set it cannot be changed.
          maxLength: 50
          nullable: false
          pattern: ^[A-Za-z0-9-_\.()]*[A-Za-z0-9-_()]
        valueSequence:
          description: Read only System generated monotonically increasing unique sequence.
          format: int32
          nullable: true
          type: integer
      type: object
    ProductExtraValueDeltaPrice:
      description: >-
        How much a product option costs above the cost of the base product, if
        at all.
      properties:
        currencyCode:
          description: Which currency to use.
          nullable: true
          type: string
        deltaPrice:
          description: Amount of money saved when discounts are applied.
          format: double
          nullable: false
          type: number
      type: object
    ProductPropertyValueLocalizedContent:
      description: Attribute Value Localized Resource
      properties:
        localeCode:
          description: Language used for the string attribute value.
          nullable: true
          type: string
        stringValue:
          description: Localized Value in the language of the locale code
          nullable: true
          type: string
      type: object
    CatalogAdminsExpression:
      properties:
        left:
          description: The field target of a predicate
          nullable: true
          type: string
        logicalOperator:
          description: And or Or (if Container with More than one Node)
          nullable: true
          type: string
        nodes:
          items:
            $ref: '#/components/schemas/CatalogAdminsExpression'
          nullable: true
          type: array
        operator:
          description: The operator of a predicate
          nullable: true
          type: string
        right:
          description: The literal values of a predicate
          nullable: true
        type:
          description: Container or Predicate
          nullable: true
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````